
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Shell脚本中执行sql语句操作mysql的5种方法_linux shell / iVAN</title>

    <meta name="description" content="Shell脚本中执行sql语句操作mysql的5种方法_linux shell 对于自动化运维,诸如备份恢复之类的,DBA经常需要将SQL语句封装到shell脚本.本文描述了在Linux环境下mysql数据库中,shell脚本下调用sql语句的几种方法,供大家参考.对于脚本输出的结果美化,需要进一步完善和调整.以下为具体的示例及其方法. 1.将SQL语句直接嵌入到shell脚本文件中 复制代码 代码如下: --演示环境  [root@SZDB ~]# more /etc/issue  CentOS release 5.9 (Final)  Kernel \r on an \">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Shell脚本中执行sql语句操作mysql的5种方法_linux shell</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于自动化运维，诸如备份恢复之类的，DBA经常需要将SQL语句封装到shell脚本。本文描述了在Linux环境下mysql数据库中，shell脚本下调用sql语句的几种方法，供大家参考。对于脚本输出的结果美化，需要进一步完善和调整。以下为具体的示例及其方法。</p>
<p><strong>1、将SQL语句直接嵌入到shell脚本文件中</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>--演示环境  <br />
[root@SZDB ~]# more /etc/issue  <br />
CentOS release 5.9 (Final)  <br />
Kernel \r on an \m  <br />
  <br />
root@localhost[(none)]&gt; show variables like 'version';  <br />
+---------------+------------+  <br />
| Variable_name | Value      |  <br />
+---------------+------------+  <br />
| version       | 5.6.12-log |  <br />
+---------------+------------+  <br />
  <br />
[root@SZDB ~]# more shell_call_sql1.sh   <br />
#!/bin/bash  <br />
# Define log  <br />
TIMESTAMP=`date +%Y%m%d%H%M%S`  <br />
LOG=call_sql_${TIMESTAMP}.log  <br />
echo "Start execute sql statement at `date`." &gt;&gt;${LOG}  <br />
  <br />
# execute sql stat  <br />
mysql -uroot -p123456 -e "  <br />
tee /tmp/temp.log  <br />
drop database if exists tempdb;  <br />
create database tempdb;  <br />
use tempdb  <br />
create table if not exists tb_tmp(id smallint,val varchar(20));  <br />
insert into tb_tmp values (1,'jack'),(2,'robin'),(3,'mark');  <br />
select * from tb_tmp;  <br />
notee  <br />
quit"  <br />
  <br />
echo -e "\n"&gt;&gt;${LOG}  <br />
echo "below is output result."&gt;&gt;${LOG}  <br />
cat /tmp/temp.log&gt;&gt;${LOG}  <br />
echo "script executed successful."&gt;&gt;${LOG}  <br />
exit;  <br />
  <br />
[root@SZDB ~]# ./shell_call_sql1.sh   <br />
Logging to file '/tmp/temp.log'  <br />
+------+-------+  <br />
| id   | val   |  <br />
+------+-------+  <br />
|    1 | jack  |  <br />
|    2 | robin |  <br />
|    3 | mark  |  <br />
+------+-------+  <br />
Outfile disabled. </p>
<p><strong>2、命令行调用单独的SQL文件</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>[root@SZDB ~]# more temp.sql   <br />
tee /tmp/temp.log  <br />
drop database if exists tempdb;  <br />
create database tempdb;  <br />
use tempdb  <br />
create table if not exists tb_tmp(id smallint,val varchar(20));  <br />
insert into tb_tmp values (1,'jack'),(2,'robin'),(3,'mark');  <br />
select * from tb_tmp;  <br />
notee  <br />
  <br />
[root@SZDB ~]# mysql -uroot -p123456 -e "source /root/temp.sql"  <br />
Logging to file '/tmp/temp.log'  <br />
+------+-------+  <br />
| id   | val   |  <br />
+------+-------+  <br />
|    1 | jack  |  <br />
|    2 | robin |  <br />
|    3 | mark  |  <br />
+------+-------+  <br />
Outfile disabled. </p>
<p><strong>3、使用管道符调用SQL文件</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>[root@SZDB ~]# mysql -uroot -p123456 &lt;/root/temp.sql  <br />
Logging to file '/tmp/temp.log'  <br />
id      val  <br />
1       jack  <br />
2       robin  <br />
3       mark  <br />
Outfile disabled.  <br />
  <br />
#使用管道符调用SQL文件以及输出日志  <br />
[root@SZDB ~]# mysql -uroot -p123456 &lt;/root/temp.sql &gt;/tmp/temp.log  <br />
[root@SZDB ~]# more /tmp/temp.log  <br />
Logging to file '/tmp/temp.log'  <br />
id      val  <br />
1       jack  <br />
2       robin  <br />
3       mark  <br />
Outfile disabled. </p>
<p><strong>4、shell脚本中MySQL提示符下调用SQL</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>[root@SZDB ~]# more shell_call_sql2.sh  <br />
#!/bin/bash  <br />
mysql -uroot -p123456 &lt;&lt;EOF  <br />
source /root/temp.sql;  <br />
select current_date();  <br />
delete from tempdb.tb_tmp where id=3;  <br />
select * from tempdb.tb_tmp where id=2;  <br />
EOF  <br />
exit;  <br />
[root@SZDB ~]# ./shell_call_sql2.sh  <br />
Logging to file '/tmp/temp.log'  <br />
id      val  <br />
1       jack  <br />
2       robin  <br />
3       mark  <br />
Outfile disabled.  <br />
current_date()  <br />
2014-10-14  <br />
id      val  <br />
2       robin </p>
<p><strong>5、shell脚本中变量输入与输出</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>[root@SZDB ~]# more shell_call_sql3.sh  <br />
#!/bin/bash  <br />
cmd="select count(*) from tempdb.tb_tmp"  <br />
cnt=$(mysql -uroot -p123456 -s -e "${cmd}")  <br />
echo "Current count is : ${cnt}"  <br />
exit   <br />
[root@SZDB ~]# ./shell_call_sql3.sh   <br />
Warning: Using a password on the command line interface can be insecure.  <br />
Current count is : 3  <br />
  <br />
[root@SZDB ~]# echo "select count(*) from tempdb.tb_tmp"|mysql -uroot -p123456 -s  <br />
3  <br />
  <br />
[root@SZDB ~]# more shell_call_sql4.sh  <br />
#!/bin/bash  <br />
id=1  <br />
cmd="select count(*) from tempdb.tb_tmp where id=${id}"  <br />
cnt=$(mysql -uroot -p123456 -s -e "${cmd}")  <br />
echo "Current count is : ${cnt}"  <br />
exit   <br />
  <br />
[root@SZDB ~]# ./shell_call_sql4.sh   <br />
Current count is : 1  <br />
  <br />
#以上脚本演示中，作抛砖引玉只用，对于输出的结果不是很规整友好，需要进一步改善和提高。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:20:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9cmysql/" title="操作mysql">操作mysql</a>, <a href="https://www.iamivan.net/tag/shell%e8%84%9a%e6%9c%ac/" title="shell脚本">shell脚本</a>, <a href="https://www.iamivan.net/tag/%e6%89%a7%e8%a1%8csql%e8%af%ad%e5%8f%a5/" title="执行sql语句">执行sql语句</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Shell脚本中执行sql语句操作mysql的5种方法_linux shell的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wOq4M.html" rel="bookmark">Shell脚本中获取本机ip地址的3个方法&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一: 复制代码 代码如下: /sbin/ifconfig -a|grep inet|grep -v 127.0.0.1|grep -v inet6|awk '{print $2}'|tr -d &quot;addr:&quot; or /sbin/ifconfig|sed -n '/inet addr/s/^[^:]*:\([0-9.]\{7,15\}\) .*/\1/p' 方法二: 复制代码 代码如下: local_host=&quot;`hostname --fqdn`&quot; local_i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK8yjp.html" rel="bookmark">MySQL中优化sql语句查询常用的30种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章是对MySQL中优化sql语句查询常用的30种方法进行了详细的分析介绍,需要的朋友参考下   1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上建立索引. 2.应尽量避免在 where 子句中使用!=或&lt;&gt;操作符,否则将引擎放弃使用索引而进行全表扫描. 3.应尽量避免在 where 子句中对字段进行 null 值判断,否则将导致引擎放弃使用索引而进行全表扫描,如: select id from t where num is null 可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO4Q4b.html" rel="bookmark">浅谈MySQL中优化sql语句查询常用的30种方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上建立索引. 2.应尽量避免在 where 子句中使用!=或&lt;&gt;操作符,否则将引擎放弃使用索引而进行全表扫描. 3.应尽量避免在 where 子句中对字段进行 null 值判断,否则将导致引擎放弃使用索引而进行全表扫描,如: select id from t where num is null 可以在num上设置默认值0,确保表中num列没有null值,然后这样查询: select id from			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWv7Gp.html" rel="bookmark">shell脚本中常见的一些特殊符号和作用详解&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编写Shell脚本时,我们需要会用到各种各样的特殊符号,通过这些特殊符号可以使我们编写的代码更加简洁和高效,这里给大家汇总下: 1.{} 大括号: 用法一:通配符扩展eg: ls my_{finger,toe}s 这条命令相当于如下命令的组合: ls my_fingers my_toes eg: mkdir {userA,userB,userC}-{home,bin,data} 我们将得到 userA-home, userA-bin, userA-data, userB-home, userB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YPXBp.html" rel="bookmark">Shell 脚本中执行mysql语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    对于自动化运维,诸如备份恢复之类的,DBA经常需要将SQL语句封装到shell脚本.本文描述了在Linux环境下mysql数据库中,shell脚本下调用sql语句的几种方法,供大家参考.对于脚本输出的结果美化,需要进一步完善和调整.以下为具体的示例及其方法.   1.将SQL语句直接嵌入到shell脚本文件中 --演示环境 [root@SZDB ~]# more /etc/issue CentOS release 5.9 (Final) Kernel \r on an \m root@l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOaaZM.html" rel="bookmark">hive中执行sql语句出现的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				The expression after ELSE should have the same type as those after THEN: &quot;bigint&quot; is expected but &quot;i hive中执行sql语句: select pc.category_id, sum(case when t.so_month between 3 and 5 then t.order_item_num else 0 end) as spring, sum(case when t.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKY9mOp.html" rel="bookmark">请大家帮忙-实现使用C&num;语言，在&period;net开发平台中执行sql语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 实现使用C#语言,在.net开发平台中执行sql语句 实现使用C#语言,在.net开发平台中执行sql语句了,如查询某张表数据,向某张表插入一条数据,在某张表中编辑一条数据,删除某张表的一条数据. 解决方案 给你段代码,你参考一下 using System; using System.Collections.Generic; using System.Text; using System.Data; using System.Data.SqlClient; using System.W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAvmJp.html" rel="bookmark">java-为什么我在Java类中执行SQL语句，程序没错，而数据库却没执行？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么我在Java类中执行SQL语句,程序没错,而数据库却没执行?? 解决方案 不知道画了删除线是什么意思,你确认这些代码有效么 解决方案二: 你用的什么啊?Hibernate?还是别的框架啊?Hibernate的话,可能是事务没有提交,你执行flush方法就可以了 解决方案三: 代码可以贴全一点吗?看不到关键部分 解决方案四: 代码内容太少了,你的Sqlca是个什么,最起码给个声明. 解决方案五: 你的sqlca是什么啊? 解决方案六: executeSQL方法问题 这个方法只能是查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW70kEM.html" rel="bookmark">Yii框架在页面输出执行sql语句以方便调试的实现方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Yii框架在页面输出执行sql语句以方便调试的实现方法.分享给大家供大家参考.具体分析如下: 我们使用:yiidebugtb来调试(因为用他界面比较美观,不影响界面其他元素). 1.下载yiidebugtb,并且放入到 application.extensions.yiidebugtb 目录 2.修改main.php,加入如下代码: 复制代码 代码如下: 'log'=&gt;array(     'class'=&gt;'CLogRouter',     'routes'=&gt;array			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5NPmz.html" rel="bookmark" class="title">Git使用基础篇</a>
					<div>
						 Git是一个分布式的版本控制工具,本篇文章从介绍Git开始,重点在于介绍Git的基本命令和使用技巧,让你尝试使用Git的同时,体验到原来一个版 本控制工具可以对开发产生如此之多的影响,文章分为两部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmm5qp.html" rel="bookmark" class="title">一个英国的网站成功故事</a>
					<div>
						对于英国的潘克赫斯特夫妇,6日可说是一个有着特殊意义的日子.这一天,他们把自己亲手创立的&quot;老友重逢&quot;网站&quot;卖&quot;给了英国独立电视台.虽说他们从中获利3000万英镑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9O3gz.html" rel="bookmark" class="title">计算机病毒的命名规则详解</a>
					<div>
						很多时候大家已经用杀毒软件查出了自己的机子中了例如Backdoor. RmtBomb.12 .Trojan.Win32.SendIP.15 等等这些一串英文还带数字的病毒名,这时有些人就懵了,那么长一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj41lp.html" rel="bookmark" class="title">CSS学习中的瓶颈</a>
					<div>
						  一.何为瓶颈? &quot;瓶颈&quot;指瓶子的颈部,相对狭窄.这是很传神的一个词,因为狭窄,因此难以突破:但是,一旦突破了,就是广阔天空(偌大瓶身)! 小弟不才,凑合画了个瓶颈示意图,如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg34w3M.html" rel="bookmark" class="title">设计师的&OpenCurlyDoubleQuote;通天塔&rdquo;&mdash;浅谈设计沟通</a>
					<div>
						前听过这样一个故事,南方的孩子没见过雪,所以不知道雪是什么东西.老师说雪是纯白的,儿童就将雪想像成盐;老师说雪是冷的,儿童将雪想像成了冰淇淋;老师说雪是细细的,儿童就将雪想像成了沙子.最后,儿童在考试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBronz.html" rel="bookmark" class="title">如何实现只读U盘的制作</a>
					<div>
						  u盘相信大家都不陌生了,由于U盘的体积小.重要轻这些特点受到大家的欢迎,但也正因为U盘这些特点,很多人也担心在自己的电脑上的重要资料会被不知不觉中复制走,但又不能禁用U盘,那有没有什么办法让U盘变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywJn5z.html" rel="bookmark" class="title">XP系统中添加&sol;删除程序面板中显示空白怎么回事？</a>
					<div>
						  xp系统现在还是有一些用户在使用,最近就有客户说自己想要删除一些不想要常用的软件,打开自己控制面板里面的删除或者添加程序进行操作,结果发现里面是空白的,点击上方的程序也没有反应,不知道是怎么回事, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WylAb.html" rel="bookmark" class="title">电脑打开网页显示乱码的快速解决方法</a>
					<div>
						  1.下载安装360安全卫士,并打开; 2.点击右下角的&quot;人工服务&quot;; 3.在&quot;人工服务&quot;搜索框中输入问题&quot;网页出现乱码&quot;,然后点击&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2ABb.html" rel="bookmark" class="title">sdl2 0-关于sdl在ios中输入拼音的问题</a>
					<div>
						问题描述 关于sdl在ios中输入拼音的问题 做的是ios app,我们现在项目里面用的sdl跨平台,平常开发在windows下,在处理文本输入的时候,英文输入的情况在windows和ios下都没有任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lnDKb.html" rel="bookmark" class="title">Windows下安装与配置Nginx web服务器</a>
					<div>
						前几篇文章,我们使用nginx都是在linux环境下,今天由于工作的需要.需要在windows环境也使用nginx搭建web服务器. 下面记录下有关nginx下的搭建与配置. 注意本次实验使用的win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Na3Az.html" rel="bookmark" class="title">新人 学习方向-我想知道一名程序员需要都了解什么知识？</a>
					<div>
						问题描述 我想知道一名程序员需要都了解什么知识? 我现在是一名大二软件专业的学生,我挺喜欢这个专业的,但是学了一年多有点迷茫,我想知道如果我想好好走下去,我都应该了解什么知识,比如都需要学会什么语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k49PM.html" rel="bookmark" class="title">手机app-网络通信问题，手机往指定网页发送数据并显示</a>
					<div>
						问题描述 网络通信问题,手机往指定网页发送数据并显示 网络通信,手机如何将数据传递到指定网页上进行显示??网页是用PHP语言写的,,事情紧急,求指导啊!非常感谢 另外,这里说的通信,不是本地通信,不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKgPNb.html" rel="bookmark" class="title">vb与s7 300通-关于S7  400plc梯形图的解释</a>
					<div>
						问题描述 关于S7 400plc梯形图的解释 请问图上写的程序代表什么意思. 请详细讲一下从头到尾的运行流程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RZ38z.html" rel="bookmark" class="title">C&num;如何让程序不获取焦点</a>
					<div>
						问题描述 如题,我做了个手写输入法软件.当我打开软件时,程序获取焦点,文字无法输出到目标程序. 解决方案 本帖最后由 liujingclan 于 2014-08-24 15:39:50 编辑解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r0Ggz.html" rel="bookmark" class="title">亚马逊今天发布第四季度财报</a>
					<div>
						新浪科技讯 北京时间2月1日凌晨消息,亚马逊今天发布了2011财年第四季度财报.报告显示,亚马逊第四季度净利润1.77亿美元,较去年同期的4.16亿美元下滑58%:净销售额174.3亿美元,较去年同期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12lYdp.html" rel="bookmark" class="title">js和servlet交互的问题</a>
					<div>
						问题描述 js和servlet交互的问题 请问下各位大神: $(&quot;#searchBox&quot;).blur(function(){ var keyValue = $(this).val( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nB8Dz.html" rel="bookmark" class="title">《淘宝网开店 SEO 推广 营销 爆款 实战200招》&mdash;&mdash;导读</a>
					<div>
						前言 截至2014年12月,我国网民规模达6.49亿人,互联网普及率为47.9%,较2013年底提升2.1%,手机网民规模达5.57亿人,较2013年底增加5672万人.淘宝网开店的店主数已超过100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ2y3p.html" rel="bookmark" class="title">如何看待百度的移动营收增势与市值空间</a>
					<div>
						文/互联网女汉纸 百度的市值从700亿美元到逼近800亿美元,用了不过两三天.资本市场的看好,技术实力带来的信心,Q2财报的业绩利好,都为百度市值的加码起到了重要的作用.而其中,移动营收为百度的Q2业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXeOrb.html" rel="bookmark" class="title">OpenStack厂商Piston发布虚拟桌面基础设施</a>
					<div>
						问题描述 PistonCloudComputing是第一家支持虚拟桌面基础设施(VDI)的基于OpenStack的公司,从而使OpenStack进入了由思杰占统治地位的VDI市场.定于本周二发布的Pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAXBjb.html" rel="bookmark" class="title">HOOPS画完一个有很多孔需要挖掉的结构，怎么去挖孔</a>
					<div>
						问题描述 调用C#的布尔操作HCS.Compute_Boolean_Shell这个函数具体怎么用?参数怎么获得 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN0QdM.html" rel="bookmark" class="title">北京三里屯苹果店发生冲突四人受伤&lpar;组图&rpar;</a>
					<div>
						事发现场(图片来源于新浪微博@cnwu)事发现场(图片来源于新浪微博@cnwu)现场已经恢复平静 (新浪科技宗秀倩 摄)黄牛依旧在现场招揽生意 (新浪科技宗秀倩 摄)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwAZWM.html" rel="bookmark" class="title">实际到手的货品质量令人难以信服，这其实是网购早就显露出的问题了</a>
					<div>
						最近,一位消费者在某网上商城购买了一块卡西欧手表,由于这块卡西欧手表出现问题,消费者找卡西欧的保修人员.售后以及网上商城客服都无果.前者说网购的不属于保修范围,后者提供的保修和退换电话打不通. 坦白说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZqAAz.html" rel="bookmark" class="title">oracle连接SQLserver--通过ODBC实例</a>
					<div>
						但在操作的过程中遇到了一问题. 1,32位的sqlserver,64位的oracle,我搞了半天都没好,能tnsping通,但老是报ora-28545. 2,sqlserver的sa登录可以看到很多库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWdLOz.html" rel="bookmark" class="title">怎么设置groupbox的边框</a>
					<div>
						问题描述 添加了一个groupbox只有上面有个框下左右都没有请问怎么设置的! 解决方案 解决方案二:可以使用两个Label模拟,第一个放文本,第二个文本为空,设置为3d样式,高度为1.下面放一个没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jV9Xp.html" rel="bookmark" class="title">关于C&num;，Java等数据库框架LazyLoad的在表无外键关系时替代方案问题讨论？</a>
					<div>
						问题描述 对于数据库框架,包括现在的.net中的EF等数据库持久层框架,都提供了LazyLoad的机制,然而这个机制建立在表直接存存在主外键关系才可实现对于现行的市场境况,多数成功项目为了便于扩展,都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4PWob.html" rel="bookmark" class="title">C语言异常与断言接口与实现</a>
					<div>
						标准库函数setjmp和longjmp 在C语言中,标准库函数setjmp和longjmp形成了结构化异常工具的基础.简单的说就是setjmp实例化处理程序,而longjmp产生异常 setjmp和l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJeNqM.html" rel="bookmark" class="title">如何用移动CRM打造全天候销售团队</a>
					<div>
						部署移动CRM可让现场销售人员和总部保持双向同步,在http://www.aliyun.com/zixun/aggregation/7380.html&quot;&gt;团队成员之间共享行事历,并提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqW4Jb.html" rel="bookmark" class="title">前程无忧真的疯了吗</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间6月12日消息,美国股市周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKlvAM.html" rel="bookmark" class="title">小文字 大体验</a>
					<div>
						随着ipad等移动终端的崛起,人们在移动终端阅读上的时间越来越多,阅读体验已经变得越来越重要.而字体又是决定阅读体验的关键所在,那么字体在哪些方面又是什么影响着阅读体验的成败? 1.是否具有高辨识度  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWAQqb.html" rel="bookmark" class="title">Comparable Comparator具体区别</a>
					<div>
						问题描述 Comparable Comparator在对对象排序上具体是什么区别???不要说什么俩个接口里的方法不一样什么我是问具体排序上俩个有区别么???还有个问题:JavaEye怎么拿分???新注 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
